﻿<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title></title>
	<style>
		div.container {

			background-color: aquamarine;
			/*
			 способ отменить схлопывание.

			overflow: auto;*/
		}

		div.container > div {
			width: 100px;
			height: 100px;
			float: left;
		}


		#elem1 {
			background-color: red;
		}

		#elem2 {
			background-color: green;
		}

		#elem3 {
			background-color: yellow;
		}
	</style>
</head>
<body>
<div class="container">
	<div id="elem1"></div>
	<div id="elem2"></div>
	<div id="elem3"></div>
</div>

</body>
</html>